Update Quote
1 min
PUT
https://api.upstartcommerce.com/v1/quote/{quoteId}
quoteIdinteger<int64>Unique identifier for a quote.
acceptstringGenerated from available response content types
x-upstart-tenantstringTenant identifier associated with the site this call is for.
x-upstart-sitestringUnique identifier for the site.
bodyobjectUpdate quote payload
200<p>Success-quote was updated.</p>
400The request contained information that the server was unable to process. Appropriate errors are provided in the response body.
401The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.
403<p>An update to this resource requires the if-match and if-unmodified-since headers to be sent in order to process the request.</p>
404The requested resource was not found in the NoChannel system.
curl --request PUT \
--url https://api.upstartcommerce.com/v1/quote/{quoteId} \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--header 'x-upstart-tenant: string' \
--data '{
"customer": {
"name": {
"first": "John",
"last": "Smith"
},
"shippingAddress": {
"street1": "",
"city": "",
"stateOrRegion": "",
"country": "",
"postalCode": "",
"name": {
"first": "John",
"last": "Smith"
}
}
},
"salesAssociate": {
"id": "",
"name": {
"first": "John",
"last": "Smith"
}
},
"currency": "",
"items": [
{
"skuId": "",
"quantity": "",
"validationMessages": [
{
"level": "",
"code": ""
}
]
}
],
"storeLocationId": ""
}'